summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-01 13:36:36 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-01 13:36:36 +0100
commit49b68e7a6cca01abad8366a2b00fb7ece98cac7b (patch)
tree38118467386ce54e3bdf953b7616f351fb8fb202 /tests
parent09b89977df38f069b0f4ce16ff9d30e363d08709 (diff)
test suite: debpolicy-taintrm: New test
Closes: #929249 Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/debpolicy-taintrm58
1 files changed, 58 insertions, 0 deletions
diff --git a/tests/tests/debpolicy-taintrm b/tests/tests/debpolicy-taintrm
new file mode 100755
index 0000000..9225148
--- /dev/null
+++ b/tests/tests/debpolicy-taintrm
@@ -0,0 +1,58 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-debpolicy
+t-prep-newpackage example 1.0
+
+cd $p
+revision=1
+git tag start
+t-dgit setup-mergechangelogs
+
+
+: upload
+
+t-dgit push-source --new
+
+: cut
+
+rm $tmp/incoming/*
+t-archive-none example
+
+touch -d 'now -1 day' $tmp/git/example*
+
+t-policy-periodic # xxx maybe want test both with and without this
+
+: edit
+t-commit 'edit after cut'
+
+: push, needs --deliberately
+
+t-expect-push-fail \
+ 'all previously pushed versions were found to have been removed from NEW' \
+t-dgit push-source --new
+
+t-dgit push-source --new --deliberately-include-questionable-history
+
+t-archive-process-incoming new
+
+: t-policy-periodic # xxx maybe want test both with and without this
+
+: accept
+
+mv -f $tmp/aq/package.{new,sid}.$p
+t-aq-archive-updated sid $p
+
+: t-policy-periodic # xxx maybe want test both with and without this
+
+t-git-dir-time-passes
+
+: 3rd push, no deliberately
+
+t-commit 'edit after accept'
+t-dgit push-source
+
+t-ok